// -- thank you Julius ---------------------------------------------------------
// -----------------------------------------------------------------------------
//
// VERTEX LIT:
//
//  surfaceparm pointlight         // vertex-lit, same as "surfaceparm nolightmap"
//  q3map_vertexScale N.N          // used to lighten or darken a vertex-lit surface
//
//  {
//    ...
//    rgbGen vertex
//  }
//
//  - vertex-lit surfaces are lit by sampling the light at the vertices.
//  - vertex-lit surfaces are faster to render because NO lightmaps are used.
//  - NO lightmaps means NO shadows are cast on vertex-lit surfaces.
//  - pixel-based lighting effects are ignored (normal & gloss maps).
//
// -----------------------------------------------------------------------------
//
// OBSERVATIONS:
//
// misc_gamemodel: "q3map_cloneShader" does NOT work for texturing the back side.
//                 "cull none" works fine, but you know: it is shit.
//
//                 Does not support ASE format. (the Waterfall model is ASE)
//
// -----------------------------------------------------------------------------


// Shrubs ----------------------------------------------------------------------

textures/z_content/shrubs/trop_shrub_02
{
    qer_editorImage textures/z_content/shrubs/trop_shrub_02.tga
    qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/z_content/shrubs/trop_shrub_02_back

    q3map_vertexScale 4.00

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nolightmap

    {
        map textures/z_content/shrubs/trop_shrub_02.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/z_content/shrubs/trop_shrub_02_back
{
    q3map_invert

    q3map_vertexScale 3.00

    surfaceparm trans
    surfaceparm nolightmap

    {
        map textures/z_content/shrubs/trop_shrub_02.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/z_content/shrubs/trop_shrub_04
{
    qer_editorImage textures/z_content/shrubs/trop_shrub_04.tga
    qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/z_content/shrubs/trop_shrub_04_back

    q3map_vertexScale 8.00

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nolightmap

    {
        map textures/z_content/shrubs/trop_shrub_04.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/z_content/shrubs/trop_shrub_04_back
{
    q3map_invert

    q3map_vertexScale 6.00

    surfaceparm trans
    surfaceparm nolightmap

    {
        map textures/z_content/shrubs/trop_shrub_04.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// Ivy -------------------------------------------------------------------------

// Does not need a directive for the back-side of leaves.
textures/z_content/plants/ivy_default
{
    qer_editorImage textures/z_content/plants/ivy_default.tga
    qer_alphaFunc gequal 0.5

    q3map_vertexScale 2.00

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm nolightmap

    {
        map textures/z_content/plants/ivy_default.tga
        rgbGen vertex
        alphaFunc GT0
    }
}


// tele effects

textures/z-2dxpm_env/blueedge
{
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 500
	cull none
	{
		map textures/effects_warpzone/blueedge.tga
		blendfunc GL_SRC_ALPHA GL_ONE
	}
}

textures/z-2dxpm_env/rededge
{
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 500
	cull none
	{
		map textures/effects_warpzone/rededge.tga
		blendfunc GL_SRC_ALPHA GL_ONE
	}
}

