// -----------------------------------------------------------------------------
//
//    ABOUT: Palm-Tree models (Wavefront OBJ format)
//  LICENSE: CC0 1.0 Universal (CC0 1.0)
//   AUTHOR: Hugues Muller aka "Nobiax" aka "Yughues" (hmuller68@gmail.com)
// HOMEPAGE: http://nobiax.deviantart.com | http://www.yughues-folio.com
//
//  SHADERS: By Julius aka Julio César (juliocesar2k7@gmail.com)
//     DATE: 06-Ene-2017
//
// -----------------------------------------------------------------------------


// Palmtree --------------------------------------------------------------------

textures/nbx_palmtree/palmtree_leaf
{
    qer_editorImage models/nbx_palmtree/palmtree.tga
    qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_palmtree/palmtree_leaf_back

    dpGlossIntensityMod 2

    q3map_noDirty
    q3map_lightmapSampleSize 16         // <N> game units => 1 lightmap pixel

    surfaceparm trans
    surfaceparm alphashadow
 
    // deformVertexes wave     <div>     <func>  <base> <amplitude> <phase> <freq>
    // deformVertexes move  <x> <y> <z>  <func>  <base> <amplitude> <phase> <freq>
    deformVertexes wave 128 sin 0 4 0.0 0.5
    deformVertexes move 0 2 0 sin 0 4 0.0 0.3

    {
        map models/nbx_palmtree/palmtree.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/nbx_palmtree/palmtree_leaf_back
{
    q3map_invert

    dpGlossIntensityMod 2

    q3map_noDirty
    q3map_lightmapSampleSize 16

    surfaceparm trans

    deformVertexes wave 128 sin 0 4 0.5 0.5       // 50% phase shift
    deformVertexes move 0 2 0 sin 0 4 0.0 0.3

    {
        map models/nbx_palmtree/palmtree.tga
        rgbGen identity
        alphaFunc GT0
        depthWrite
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
        blendFunc filter
    }
}

textures/nbx_palmtree/palmtree_stem
{
    qer_editorImage models/nbx_palmtree/palmtree.tga
    qer_alphaFunc gequal 0.5

    //dpMeshCollisions               // use surface's draw geometry for collisions

    dpGlossIntensityMod 0.50
    dpGlossExponentMod 0.50

    q3map_lightmapSampleSize 4

    {
        map models/nbx_palmtree/palmtree.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
